
Google Sheets Import/Export - Task #936

Create modular input

01/17/2015 11:40 PM - Luke Murphey

Status: Closed Start date: 01/20/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

The inputs needs to accept:

Credentials

Either login and password or oauth2 token

Doc

Either the title, key or url

Worksheet

Either the number or the name

Might want it to create the worksheet if it does not exist

Operation

Subtasks:

Feature # 941: List lookups in modular input page Closed

Task # 940: Hide password from modular input list page Closed

Task # 939: Hide unnecessary options from modular input page Closed

History

#1 - 01/20/2015 05:35 AM - Luke Murphey

- Status changed from New to In Progress

- Assignee set to Luke Murphey

- Target version set to 0.5

#2 - 01/20/2015 07:24 AM - Luke Murphey

This is mostly working except for the session key.

#3 - 01/21/2015 07:06 AM - Luke Murphey

ERROR ExecProcessor - message from "python /Library/Splunk/splunk_sp/etc/apps/google_drive/bin/google_spreadsh

eet_import.py" Unexpected exception: [HTTP 401] Client is not authenticated

127.0.0.1 - - [21/Jan/2015:00:41:39.820 -0600] "POST /services/data/lookup-table-files/test.csv HTTP/1.0" 401 

148 - - - 0ms

#4 - 01/21/2015 07:09 AM - Luke Murphey

This session key thing is weird. Here are some observations:

Using a session key made by calling splunk.auth.getSessionKey() works

Other calls work, but not this put

The key is the same the one provided in the XML

The lookup editor works with the same code

The unit tests work
https://github.com/burnash/gspread#opening-a-spreadsheet


#5 - 01/21/2015 07:16 AM - Luke Murphey

The modular input is getting a session key for 'splunk-system-user' while the one gained by authenticating in Python is for 'admin'.

#6 - 01/21/2015 10:37 PM - Luke Murphey

Tried a fresh lookup file, still didn't work.

#7 - 01/22/2015 07:39 AM - Luke Murphey

- Status changed from In Progress to Closed
